This page was not yet optimized for use on mobile devices.
Unisys OS 2200 Cryptographic Library
Certificate details
| Certificate ID | #3285 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 13.09.2018 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | The Unisys OS 2200 Cryptographic Library provides Unisys OS 2200 programs with access to FIPS-approved cryptographic services. |
| Tested configurations |
|
| Vendor | Unisys Corporation http://www.unisys.com |
| Lab | Leidos Accredited Testing & Evaluation (AT&E) Lab |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, RC4, DES, Triple-DES, 3DES, HMAC, HMAC-SHA-256, HMAC-SHA-512Asymmetric Algorithms
Diffie-Hellman, DH, DSAHash functions
SHA-1, SHA-224, SHA-512, SHA-2, MD5Schemes
MAC, Key Agreement, Key agreementRandomness
DRBG, RNGBlock cipher modes
ECB, CBC, CTR, CFB, GCMSecurity level
Level 1Standards
FIPS 140-2, FIPS 140, FIPS 197, FIPS 186-4, FIPS 180-4, FIPS 198-1, FIPS 46-3, FIPS 186-2, SP 800-133, PKCS1, RFC1115, RFC1321, RFC2104, RFC 2898Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3285,
"dgst": "aff4b5855447e95d",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"SHS#4347",
"Triple-DES#2723",
"#2900",
"HMAC#3595",
"DRBG#2111",
"#3595",
"AES#5416",
"#5416",
"RSA#2900",
"#2111",
"#4347",
"#2723"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"2200"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"FF": {
"DH": {
"DH": 4,
"Diffie-Hellman": 6
},
"DSA": {
"DSA": 9
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 6
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 6
},
"GCM": {
"GCM": 2
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {},
"crypto_scheme": {
"KA": {
"Key Agreement": 2,
"Key agreement": 2
},
"MAC": {
"MAC": 2
}
},
"device_model": {},
"ecc_curve": {},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES (128": 2,
"AES 128, 192": 1,
"DES (56": 1,
"HMAC-SHA-1": 6,
"HMAC-SHA-2": 4,
"HMAC-SHA-256": 2,
"HMAC-SHA-512": 2,
"PKCS1": 8,
"SHA (1": 1,
"SHA 1": 3,
"SHA 2": 2,
"SHA 224": 1,
"SHA 256": 1,
"SHA 384": 1,
"SHA 512": 1,
"SHA- 1": 1,
"SHA-1": 6,
"SHA-1, 224": 3,
"SHA-2": 2,
"SHA-224": 1,
"SHA-512": 7
}
},
"fips_security_level": {
"Level": {
"Level 1": 2
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 5
}
},
"SHA": {
"SHA1": {
"SHA-1": 9
},
"SHA2": {
"SHA-2": 2,
"SHA-224": 1,
"SHA-512": 7
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 23
},
"RNG": {
"RNG": 11
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 1,
"FIPS 140-2": 31,
"FIPS 180-4": 1,
"FIPS 186-2": 7,
"FIPS 186-4": 1,
"FIPS 197": 1,
"FIPS 198-1": 1,
"FIPS 46-3": 1
},
"NIST": {
"SP 800-133": 1
},
"PKCS": {
"PKCS1": 4
},
"RFC": {
"RFC 2898": 1,
"RFC1115": 1,
"RFC1321": 1,
"RFC2104": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 9
},
"RC": {
"RC4": 4
}
},
"DES": {
"3DES": {
"3DES": 1,
"Triple-DES": 8
},
"DES": {
"DES": 5
}
},
"constructions": {
"MAC": {
"HMAC": 15,
"HMAC-SHA-256": 1,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"SHS#4347",
"Triple-DES#2723",
"HMAC#3595",
"DRBG#2111",
"AES#5416",
"RSA#2900"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#2900",
"#3595",
"#5416",
"#2111",
"#4347",
"#2723"
]
},
"policy_metadata": {
"/Author": "Heit, James R",
"/CreationDate": "D:20180907134030-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2013",
"/ModDate": "D:20180907134030-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2013",
"/Subject": "Unrestricted",
"pdf_file_size_bytes": 976665,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"mailto:[email protected]",
"http://www.unisys.com/",
"http://csrc.nist.gov/groups/STM/cmvp/",
"file:///C:/Users/heitjr/Documents/[email protected]",
"mailto:[email protected]"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 29
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "eac77958e4e65e4c2bdec96f3a960f3d561795f8817166f19725063827044932",
"source_hash": "8a8ebd2bd442b6d5c662707e664a2b6d15060906b4c3ae46f1bafdf07af5ef20",
"txt_hash": "150a91c61630e5e65da97ffd778f145385fea054bb1b8d52b11f2c0e9f50ed7a"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/SeptConsolidated2018.pdf",
"date_sunset": null,
"description": "The Unisys OS 2200 Cryptographic Library provides Unisys OS 2200 programs with access to FIPS-approved cryptographic services.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Unisys OS 2200 Cryptographic Library",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "2R1",
"tested_conf": [
"OS 2200 Operating System 18.0 running on a Unisys ClearPath Dorado 880 (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-09-13",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Initial"
}
],
"vendor": "Unisys Corporation",
"vendor_url": "http://www.unisys.com"
}
}